Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class CommonManager

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  CommonManagerImpl, CoreCommonManager

    public interface class CommonManager

extends java.rmi.Remote

Common access to various repository objects and functionality.

Method Summary
`Item` | `getItem(long id, AttributeRequest[] attributes)` Returns an Item given an Item ID and an array of AttributeRequests.
`NamedValue[]` | `getItemInvalidations(long[] addedIds, long[] removedIds, long[] setIds)` Gets the set of Item invalidations for items the session has registered interest for.
`Item[]` | `getItems(long[] ids, AttributeRequest[] attributes)` Returns an array of Items given an array of Item IDs and an array of AttributeRequests.
`long` | `getUniqueId()` Returns a unique ID backed by a repository sequence.

Method Detail

### getItem

    Item getItem(long id,
                 AttributeRequest[] attributes)
                 throws FdkException

  Description copied from interface: `CommonManager`
  Returns an Item given an Item ID and an array of AttributeRequests.

  Parameters:
    `id` - the ID of the Item to return.
    `attributes` - the attributes to retrieve for each Item.
  Throws:
    `FdkException` - if the operation fails.

### getItems

    Item[] getItems(long[] ids,
                    AttributeRequest[] attributes)
                    throws FdkException

  Description copied from interface: `CommonManager`
  Returns an array of Items given an array of Item IDs and an array of AttributeRequests.

  Parameters:
    `ids` - the IDs of the Items to return.
    `attributes` - the attributes to retrieve for each Item.
  Throws:
    `FdkException` - if the operation fails.

### getUniqueId

    long getUniqueId()
                     throws FdkException

  Description copied from interface: `CommonManager`
  Returns a unique ID backed by a repository sequence. The method ensures the ID is unique across calls.

  Returns:
    A unique ID.
  Throws:
    `FdkException` - if the operation fails.

### getItemInvalidations

    NamedValue[] getItemInvalidations(long[] addedIds,
                                      long[] removedIds,
                                      long[] setIds)
                                      throws FdkException

  Description copied from interface: `CommonManager`
  Gets the set of Item invalidations for items the session has registered interest for.

  Also specify an optional set of newly added IDs of interest, a set of IDs that the client no longer has interest, or the explicit set of IDs that the client has interest in. If a non-null explicit list is specified, the other two lists are ignored.

  Parameters:
    `addedIds` - the new IDs of interest
    `removedIds` - the IDs that the client no longer has interest.
    `setIds` - the total set IDs of interest
  Returns:
    the set of Item invalidations.
  Throws:
    `FdkException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD